Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.xmpp
Class XmppBuildNotifier

    java.lang.Object
      com.atlassian.bamboo.events.DefaultBuildEventListener
          com.atlassian.bamboo.xmpp.XmppBuildNotifier

All Implemented Interfaces:
  BuildEventListener

    public class XmppBuildNotifier

extends DefaultBuildEventListener

Sends an Instant Message containing a build results summary.

Field Summary

Fields inherited from class com.atlassian.bamboo.events.DefaultBuildEventListener
`buildManager`

Fields inherited from interface com.atlassian.bamboo.event.BuildEventListener
`DISABLE_NOTIFICATION_SYSTEM_PROPERTY`

Constructor Summary
`XmppBuildNotifier(VelocityEngine velocityEngine, ErrorHandler errorHandler, BuildManager buildManager)`

Method Summary
`BambooSmackClient` | `getBambooSmackClient()`
`BambooUserManager` | `getBambooUserManager()`
`ExtendedAuthorManager` | `getExtendedAuthorManager()`
`InstantMessagingServerManager` | `getInstantMessagingServerManager()`
`void` | `onBuildComplete(Build build, BuildResults buildResults)` Be notified when a build build has completed.
`void` | `setBambooSmackClient(BambooSmackClient bambooSmackClient)`
`void` | `setExtendedAuthorManager(ExtendedAuthorManager extendedAuthorManager)`
`void` | `setInstantMessagingServerManager(InstantMessagingServerManager instantMessagingServerManager)`

Methods inherited from class com.atlassian.bamboo.events.DefaultBuildEventListener
`getBuildManager, getPreviousBuildState, getServerBaseUrl, onBuildStart, onDeletedBuild, onDeletedBuildResult, onNewBuild, setBuildManager, systemHasBeenConfigured`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmppBuildNotifier

    public XmppBuildNotifier(VelocityEngine velocityEngine,
                             ErrorHandler errorHandler,
                             BuildManager buildManager)

Method Detail

### onBuildComplete

    public void onBuildComplete(Build build,
                                BuildResults buildResults)
                         throws Exception

  Description copied from class: `DefaultBuildEventListener`
  Be notified when a build build has completed.

  The default behaviour is to do nothing

  Specified by:
    `onBuildComplete` in interface `BuildEventListener`
  Overrides:
    `onBuildComplete` in class `DefaultBuildEventListener`
  Parameters:
    `build` - The build
    `buildResults` - The output from the build
  Throws:
    `Exception` - A generic failure

### setInstantMessagingServerManager

    public void setInstantMessagingServerManager(InstantMessagingServerManager instantMessagingServerManager)

### getInstantMessagingServerManager

    public InstantMessagingServerManager getInstantMessagingServerManager()

### getExtendedAuthorManager

    public ExtendedAuthorManager getExtendedAuthorManager()

### setExtendedAuthorManager

    public void setExtendedAuthorManager(ExtendedAuthorManager extendedAuthorManager)

### setBambooSmackClient

    public void setBambooSmackClient(BambooSmackClient bambooSmackClient)

### getBambooSmackClient

    public BambooSmackClient getBambooSmackClient()

### getBambooUserManager

    public BambooUserManager getBambooUserManager()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.